package domain


type AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        加购数量     */
    Quantity  *string `json:"quantity,omitempty" `

    /*
        商品履约线路     */
    LineInstances  *string `json:"line_instances,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo) SetSkuCode(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo {
    s.SkuCode = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo) SetQuantity(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo {
    s.Quantity = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo) SetLineInstances(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckPromiseSkuInfo {
    s.LineInstances = &v
    return s
}
